Package org.apache.maven.scm.log

## Class DefaultLog

- java.lang.Object
- - org.apache.maven.scm.log.DefaultLog

All Implemented Interfaces:
  `ScmLogger`

    public class DefaultLog
    extends java.lang.Object
    implements ScmLogger

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
`DefaultLog()`
`DefaultLog​(boolean debug)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(java.lang.String content)`
`void` `debug​(java.lang.String content, java.lang.Throwable error)`
`void` `debug​(java.lang.Throwable error)`
`void` `error​(java.lang.String content)`
`void` `error​(java.lang.String content, java.lang.Throwable error)`
`void` `error​(java.lang.Throwable error)`
`void` `info​(java.lang.String content)`
`void` `info​(java.lang.String content, java.lang.Throwable error)`
`void` `info​(java.lang.Throwable error)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn​(java.lang.String content)`
`void` `warn​(java.lang.String content, java.lang.Throwable error)`
`void` `warn​(java.lang.Throwable error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLog

    public DefaultLog()

#### DefaultLog

    public DefaultLog​(boolean debug)

### Method Detail

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `ScmLogger`

#### debug

    public void debug​(java.lang.String content)

Specified by:
  `debug` in interface `ScmLogger`

#### debug

    public void debug​(java.lang.String content,
                      java.lang.Throwable error)

Specified by:
  `debug` in interface `ScmLogger`

#### debug

    public void debug​(java.lang.Throwable error)

Specified by:
  `debug` in interface `ScmLogger`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `ScmLogger`

#### info

    public void info​(java.lang.String content)

Specified by:
  `info` in interface `ScmLogger`

#### info

    public void info​(java.lang.String content,
                     java.lang.Throwable error)

Specified by:
  `info` in interface `ScmLogger`

#### info

    public void info​(java.lang.Throwable error)

Specified by:
  `info` in interface `ScmLogger`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `ScmLogger`

#### warn

    public void warn​(java.lang.String content)

Specified by:
  `warn` in interface `ScmLogger`

#### warn

    public void warn​(java.lang.String content,
                     java.lang.Throwable error)

Specified by:
  `warn` in interface `ScmLogger`

#### warn

    public void warn​(java.lang.Throwable error)

Specified by:
  `warn` in interface `ScmLogger`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `ScmLogger`

#### error

    public void error​(java.lang.String content)

Specified by:
  `error` in interface `ScmLogger`

#### error

    public void error​(java.lang.String content,
                      java.lang.Throwable error)

Specified by:
  `error` in interface `ScmLogger`

#### error

    public void error​(java.lang.Throwable error)

Specified by:
  `error` in interface `ScmLogger`